Bug 253212 - x11-fonts/fontconfig: Update to 2.13.93 and switch to meson
Summary: x11-fonts/fontconfig: Update to 2.13.93 and switch to meson
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://gitlab.freedesktop.org/fontco...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-03 15:02 UTC by daniel.engberg.lists
Modified: 2021-02-15 19:10 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
Patch for fontconfig (66.23 KB, patch)
2021-02-03 15:02 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for fontconfig v2 (66.23 KB, patch)
2021-02-04 08:01 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2021-02-03 15:02:09 UTC
Created attachment 222112 [details]
Patch for fontconfig

Update fontconfig to 2.13.93
Switch to Meson buildsystem
Import patch from Gentoo repo

Sources:
https://gitweb.gentoo.org/repo/gentoo.git/tree/media-libs/fontconfig/files/fontconfig-2.13.93-latin-update.patch

Compile and tested on FreeBSD 13.0-ALPHA2 (amd64) (make, make check-plist, make test)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2021-02-03 15:10:18 UTC
A few additional notes: 

Patches 
https://svnweb.freebsd.org/ports/head/x11-fonts/fontconfig/files/patch-src__fccompat.c?revision=420579&view=markup and
https://svnweb.freebsd.org/ports/head/x11-fonts/fontconfig/files/patch-src_fcatomic.h?revision=420579&view=markup are because I don't have these platforms and thus can't test. I did try to determine whether these still are needed and it doesn't seem like it?

DOCS and manpages are dropped because of circular dependency (see Makefile for more information)

There are some differences in the .pc file generated although I don't think there should be an issue in the end.

--- current version in tree ---

prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
sysconfdir=${prefix}/etc
localstatedir=/var
PACKAGE=fontconfig
confdir=${sysconfdir}/fonts
cachedir=/var/db/fontconfig

Name: Fontconfig
Description: Font configuration and customization library
Version: 2.13.92
Requires:  freetype2 >= 21.0.15
Requires.private:
Libs: -L${libdir} -lfontconfig
Libs.private:  -L/usr/local/lib -lexpat
Cflags: -I${includedir}  -I/usr/local/include

--- new version ---

prefix=/usr/local
libdir=${prefix}/lib
includedir=${prefix}/include

sysconfdir=/usr/local/etc
localstatedir=/var
confdir=${sysconfdir}/fonts
cachedir=/var/db/fontconfig

Name: Fontconfig
Description: Font configuration and customization library
Version: 2.13.93
Requires: freetype2 >=  21.0.15
Requires.private: expat
Libs: -L${libdir} -lfontconfig
Libs.private: -pthread
Cflags: -I${includedir}

Not all variables translated directly going from 92 to 93 and autotools to meson so it might be possible that I've missed something.

Best regards,
Daniel
Comment 2 daniel.engberg.lists 2021-02-04 08:01:55 UTC
Created attachment 222157 [details]
Patch for fontconfig v2

Set Pyhton 3.6+ as requirement instead of 3.5+
Comment 3 Tobias C. Berner freebsd_committer 2021-02-10 17:59:02 UTC
Moin moin 

dekstop@ would like to ask for an exp-run of the attached patch.


mfg Tobias
Comment 4 Antoine Brodin freebsd_committer 2021-02-15 07:19:15 UTC
Exp-run looks fine
Comment 5 Tobias C. Berner freebsd_committer 2021-02-15 19:09:55 UTC
Thanks for the exp-run.

Committed, many thanks for the patch @daniel.
Comment 6 commit-hook freebsd_committer 2021-02-15 19:10:17 UTC
A commit references this bug:

Author: tcberner
Date: Mon Feb 15 19:09:16 UTC 2021
New revision: 565327
URL: https://svnweb.freebsd.org/changeset/ports/565327

Log:
  x11-fonts/fontconfig: Update to 2.13.93

  Changelog:
          https://gitlab.freedesktop.org/fontconfig/fontconfig/-/blob/master/README

  - Switch to meson build system

  PR:             253212
  Exp-run by:     antoine
  Submitted by:   daniel.engberg.lists@pyret.net

Changes:
  head/x11-fonts/fontconfig/Makefile
  head/x11-fonts/fontconfig/distinfo
  head/x11-fonts/fontconfig/files/patch-2.13.92.diff
  head/x11-fonts/fontconfig/files/patch-Makefile.in
  head/x11-fonts/fontconfig/files/patch-conf.d_60-latin.conf
  head/x11-fonts/fontconfig/files/patch-conf.d_meson.build
  head/x11-fonts/fontconfig/files/patch-configure
  head/x11-fonts/fontconfig/files/patch-meson.build
  head/x11-fonts/fontconfig/files/patch-src__fccompat.c
  head/x11-fonts/fontconfig/files/patch-src_fcatomic.h
  head/x11-fonts/fontconfig/files/patch-src_fclang.c
  head/x11-fonts/fontconfig/files/patch-src_meson.build
  head/x11-fonts/fontconfig/pkg-plist